package renegade.gfx.io;

import java.io.*;

public class CDataInputStream extends DataInputStream{
	private static long POW_2_8  = 256;
	private static long POW_2_16 = 65536;
	private static long POW_2_24 = 16777216;

	public CDataInputStream(InputStream is){
		super(is);
	}
	
	public long readReversedUnsignedInt() throws IOException,EOFException{
		int[] result = readUnsignedBytes(4);
		return (long)(result[0] + (result[1]*POW_2_8) + (result[2]*POW_2_16) + (result[3]*POW_2_24));
	}
	
	public int readReversedUnsignedShort() throws IOException,EOFException{
		int[] result = readUnsignedBytes(2);
		return (result[0] + (result[1]*(int)POW_2_8));
	}
	
	public int[] readUnsignedBytes(int i) throws IOException,EOFException{
		int[] result = new int[i];
		for(int counter = 0;counter < i;counter++){
			result[counter] = super.readUnsignedByte();
		}
		
		return result;
	}
}