package renegade.test;

import java.awt.*;
import javax.swing.*;

import renegade.gfx.win32.ico.*;
import renegade.util.*;

public class IconTest extends JFrame{
	private Image img;

	public IconTest(Image img){
		super("Test");
		setBounds(0,0,320,200);
		this.img = img;
		JButton but = new JButton("label",new ImageIcon(img));
		getContentPane().add(but);
	}
	
	public static void main(String[] args){
		if(args.length == 0){
			System.out.println("IconTest <icon_1> ... <icon_n>");
			System.exit(1);
		}
		System.out.println("Using RenLibs Ver. " + LibsUtil.getLibraryVersion());
		for(int c = 0;c < args.length;c++){
			Win32IconResource wic = Win32IconResource.loadIcon(args[c]);
			if(wic != null){
				System.out.println(wic.toString());
				for(int counter = 0;counter < wic.getIconCount();counter++){
					try{
						wic.getWin32Icon()[counter].loadIcon();
					}catch(Exception e){
						System.err.println("Inner:" + e);
						continue;
					}
					System.out.println(wic.getWin32Icon()[counter].toString());
					System.out.println(wic.getWin32Icon()[counter].getInfoHeader());
					System.out.println();
					(new IconTest(wic.getWin32Icon()[counter].getImage())).show();
					(new IconTest(wic.getWin32Icon()[counter].getGrayscaledImage())).show();
					(new IconTest(wic.getWin32Icon()[counter].getBlendedImage(Color.blue,0.7F))).show();					
				}
			}
		}
	}
}